Activating wpforo a...
 
Notifications
Clear all

[Solved] Activating wpforo addon plugin crashes the site

5 Posts
2 Users
0 Likes
314 Views
Posts: 3
Topic starter
(@lordtakuban)
Active Member
Joined: 2 years ago

Since yesterday (8/3/2022), my site was down with the generic wp error.  Checking my error log I saw that a call to get_wpf_option() was failing in one of the addon's that I paid for.  I was able to get the addon plugins deactivated and the basic wpforo kinda works now.  But if I attempt to activate a plugin, the site crashes the same way again.

This was right after an update to wpforo.  Was that method removed?  access changed?  Did the update somehow become corrupt?  Is anyone else with addon plugins having the same issue?

4 Replies
dimalifragis
Posts: 2539
(@dimalifragis)
Famed Member
Joined: 4 years ago

Is that addon for wpForo updated (vs 3)?

Posts: 3
Topic starter
(@lordtakuban)
Active Member
Joined: 2 years ago

After posting, I noticed the v3 addon requirement.  I've since downloaded those versions and 3 of the 4 work.  One is not able to be activated though with the following error:

Warning: require_once([my-path-to-the-site]/wp-content/plugins/wpforo-private-messages/includes/gvt-api-manager.php): failed to open stream: No such file or directory in /[my-path-to-the-site]/wp-content/plugins/wpforo-private-messages/wpforopm.php on line 27

Fatal error: require_once(): Failed opening required '/[my-path-to-the-site]/wp-content/plugins/wpforo-private-messages/includes/gvt-api-manager.php' (include_path='.:') in /[my-path-to-the-site]/wp-content/plugins/wpforo-private-messages/wpforopm.php on line 27

I'm going to double check that all of the files extracted and uploaded from the .zip file and try again.  But I don't see why anything would be missing.

Posts: 3
Topic starter
(@lordtakuban)
Active Member
Joined: 2 years ago

So.  Turns out, something did happen when uploading the files.  Today has been very odd.

All seems to be working now, although my site does look quite a bit different.

Maybe this will help other people if they are looking for a different error than knowing about the version 2.0.2 upgrade on the main forum plugin.

Thanks.

dimalifragis
Posts: 2539
(@dimalifragis)
Famed Member
Joined: 4 years ago

Maybe you have some caching or other optimizers and now the files expired.